from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDatabaseParameterBroadcaster2(XDatabaseParameterBroadcaster, Protocol):
    def addDatabaseParameterListener(self, aListener: XDatabaseParameterListener) -> None: ...
    def removeDatabaseParameterListener(self, aListener: XDatabaseParameterListener) -> None: ...
